/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLUListElement_H___INT_
#define __GdomHTMLUListElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLUListElement.h"
G_BEGIN_DECLS
class GDOMHTMLUListElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTMLU_LIST_ELEMENT; }
    GDOMHTMLUListElement(PassRefPtr<WebCore::HTMLUListElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLUListElement_H___INT_*/
